function u0 = InitialCondition(X,XB,bType,bVal)
% u0 = InitialCondition(X,XB,bType,bVal)
% Sets initial condition. In this case everything is 0 except the
% border in which Dirichlet boundary conditions are applied.

nPt = size(X,1);
u0  = zeros(nPt,1);

aux          = prescBound(XB,bType,bVal,u0);
u0(aux(:,1)) = aux(:,2);